// Character to Keycodes list
// GERMAN_KEYBOARD_LAYOUT!!!
const unsigned short KeysToCodes[ 128 ] = { 0,
//																														
	0,				0,				0,				0,					0,				0,				0,				0,					/*   8 */
//																														
	0,				0,				0,				0,					0,				0,				0,				0,					/*  16 */
//																														
	0,				0,				0,				0,					0,				0,				0,				0,					/*  24 */
///																														SPACE
	0,				0,				0,				0,					0,				0,				0,				KEY_SPACE,			/*  32 */
///	!				"				#				$					%				&				'				(
	KEY_1,			KEY_2,			KEY_BACKSLASH,	KEY_4,				KEY_5,			KEY_6,			KEY_BACKSLASH,	KEY_8,				/*  40 */
///	)				*				+				,					-				.				/				0
	KEY_9,			KEY_KPASTERISK,	KEY_KPPLUS,		KEY_COMMA,			KEY_SLASH,		KEY_DOT,		KEY_7,			KEY_0,				/*  48 */
///	1				2				3				4					5				6				7				8
	KEY_1,			KEY_2,			KEY_3,			KEY_4,				KEY_5,			KEY_6,			KEY_7,			KEY_8,				/*  56 */
///	9				:				;				<					=				>				?				@
	KEY_9,			KEY_DOT,		KEY_COMMA,		KEY_102ND,			KEY_0,			KEY_102ND,		KEY_MINUS,		KEY_Q,				/*  64 */
///	A				B				C				D					E				F				G				H
	KEY_A,			KEY_B,			KEY_C,			KEY_D,				KEY_E,			KEY_F,			KEY_G,			KEY_H,				/*  72 */
///	I				J				K				L					M				N				O				P
	KEY_I,			KEY_J,			KEY_K,			KEY_L,				KEY_M,			KEY_N,			KEY_O,			KEY_P,				/*  80 */
///	Q				R				S				T					U				V				W				X
	KEY_Q,			KEY_R,			KEY_S,			KEY_T,				KEY_U,			KEY_V,			KEY_W,			KEY_X,				/*  88 */
///	Y				Z				[				\					]				^				_				`
	KEY_Y,			KEY_Z,			KEY_8,			KEY_MINUS,			KEY_9,			KEY_GRAVE,		KEY_SLASH,		KEY_EQUAL,			/*  96 */
///	a				b				c				d					e				f				g				h
	KEY_A,			KEY_B,			KEY_C,			KEY_D,				KEY_E,			KEY_F,			KEY_G,			KEY_H,				/* 104 */
///	i				j				k				l					m				n				o				p
	KEY_I,			KEY_J,			KEY_K,			KEY_L,				KEY_M,			KEY_N,			KEY_O,			KEY_P,				/* 112 */
///	q				r				s				t					u				v				w				x
	KEY_Q,			KEY_R,			KEY_S,			KEY_T,				KEY_U,			KEY_V,			KEY_W,			KEY_X,				/* 120 */
///	y				z				{				|					}				~
	KEY_Y,			KEY_Z,			KEY_7,			KEY_102ND,			KEY_0,			KEY_RIGHTBRACE,	 0	 								/* 127 */
};

// Characters which need an extra button to be pressed like shift for $ or alt-gr for @
const unsigned char KeysToPress[ 128 ] =  { 0,
//
	0,				0,				0,				0,					0,				0,				0,				0,					/*   8 */
//
	0,				0,				0,				0,					0,				0,				0,				0,					/*  16 */
//
	0,				0,				0,				0,					0,				0,				0,				0,					/*  24 */
///																														SPACE
	0,				0,				0,				0,					0,				0,				0,				0,					/*  32 */
///	!				"				#				$					%				&				'				(
	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	0,				KEY_LEFTSHIFT,		KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		/*  40 */
///	)				*				+				,					-				.				/				0
	KEY_LEFTSHIFT,	0,				0,				0,					0,				0,				KEY_LEFTSHIFT,	0,					/*  48 */
///	1				2				3				4					5				6				7				8
	0,				0,				0,				0,					0,				0,				0,				0,					/*  56 */
///	9				:				;				<					=				>				?				@
	0,				KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	0,					KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_RIGHTALT,		/*  64 */
///	A				B				C				D					E				F				G				H
	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		/*  72 */
///	I				J				K				L					M				N				O				P
	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		/*  80 */
///	Q				R				S				T					U				V				W				X
	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		/*  88 */
///	Y				Z				[				\					]				^				_				`
	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_LEFTSHIFT,	KEY_RIGHTALT,		KEY_LEFTSHIFT,	0,				KEY_LEFTSHIFT,	KEY_LEFTSHIFT,		/*  96 */
///	a				b				c				d					e				f				g				h
	0,				0,				0,				0,					0,				0,				0,				0,					/* 104 */
///	i				j				k				l					m				n				o				p
	0,				0,				0,				0,					0,				0,				0,				0,					/* 112 */
///	q				r				s				t					u				v				w				x
	0,				0,				0,				0,					0,				0,				0,				0,					/* 120 */
///	y				z				{				|					}				~		
	0,				0,				KEY_RIGHTALT,	KEY_RIGHTALT,		KEY_RIGHTALT,	KEY_RIGHTALT,	0									/* 127 */
};
